Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls

From: jao <[email-masked]>
Date: Tue, 26 Jan 2021 00:29:56 +0000

On Tue, Jan 26 2021, Lars Ingebrigtsen wrote:

> jao <[email-masked]> writes:
>
>> Excelent, thanks a lot.  I am not sure whether thing-at-point already
>> has that, but it'd then be useful to be able to retrieve, together with
>> the thing-at-point, its category (and even also have a thing/s/-at-point
>> returning all detected things).
>
> I'm not sure I follow you here -- you call thing at point with the
> category (or "thing", as thingatpt calls it) as the parameter:
>
> (thing-at-point 'url)
>
> thingatpt doesn't try to guess at what type of thing exists under point,
> just what the thing is.

yes.  i was imagining a convenience funtion, say `anything-at-point',
that would check in turn for possible things for me, and return, for
instance '(url . "http://www.gnu.org"). 

or perhaps simply having a function, say `things-at-point', returning
the list of symbols that denote possible things at point would be good
enough for the use case i'm imagining (dispatching actions on the thing
at point, whatever it is, based on its type).